import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class GrcSubCategoryListingComponent implements OnInit {
    categories: any;
    activeCategoryId: string;
    selectedCategory: any;
    currentPage: number;
    nameDisplayKey: string;
    selectedCategoryIds: any;
    activeProgram: any;
    selectedProgramAndResp: any[];
    set getActiveProgramSelectedCategoryIds(value: any);
    set categoryList(value: any);
    set getSelectedProgramAndResp(value: any);
    activeSelectedCategory: EventEmitter<any>;
    onCategoryPageChange: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    onCategoryClick(category: any): void;
    changePage(event: number): void;
    getSelectedCategoryIds(selectedData: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GrcSubCategoryListingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GrcSubCategoryListingComponent, "app-grc-sub-category-listing", never, { "currentPage": { "alias": "currentPage"; "required": false; }; "nameDisplayKey": { "alias": "nameDisplayKey"; "required": false; }; "activeProgram": { "alias": "activeProgram"; "required": false; }; "getActiveProgramSelectedCategoryIds": { "alias": "selectedCategoryIds"; "required": false; }; "categoryList": { "alias": "categories"; "required": false; }; "getSelectedProgramAndResp": { "alias": "selectedProgramAndResp"; "required": false; }; }, { "activeSelectedCategory": "activeSelectedCategory"; "onCategoryPageChange": "onCategoryPageChange"; }, never, never, true, never>;
}
